PublishArtifact (Gradle API 8.11.1)

Package org.gradle.api.artifacts

## Interface PublishArtifact

- All Superinterfaces:
    `Buildable`
  All Known Subinterfaces:
    `ConfigurablePublishArtifact`
  All Known Implementing Classes:
    `org.gradle.api.internal.artifacts.publish.AbstractPublishArtifact`, `Signature`

      public interface PublishArtifact
      extends Buildable

  A `PublishArtifact` is an artifact produced by a project.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getClassifier()` | Returns the classifier of this published artifact, if any.
    `java.util.Date` | `getDate()` | Returns the date that should be used when publishing this artifact.
    `java.lang.String` | `getExtension()` | Returns the extension of this published artifact.
    `java.io.File` | `getFile()` | Returns the file of this artifact.
    `java.lang.String` | `getName()` | Returns the name of the artifact.
    `java.lang.String` | `getType()` | Returns the type of the published artifact.

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of the artifact.
      Returns:
        The name. Never null.

    - #### getExtension

          java.lang.String getExtension()

      Returns the extension of this published artifact. Often the extension is the same as the type, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.
      Returns:
        The extension. Never null.

    - #### getType

          java.lang.String getType()

      Returns the type of the published artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.
      Returns:
        The type. Never null.

    - #### getClassifier

          @Nullable
          java.lang.String getClassifier()

      Returns the classifier of this published artifact, if any.
      Returns:
        The classifier. May be null.

    - #### getFile

          java.io.File getFile()

      Returns the file of this artifact.
      Returns:
        The file. Never null.

    - #### getDate

          @Nullable
          java.util.Date getDate()

      Returns the date that should be used when publishing this artifact. This is used in the module descriptor accompanying this artifact (the ivy.xml). If the date is not specified, the current date is used. If this artifact is published without an module descriptor, this property has no relevance.
      Returns:
        The date. May be null.